#!/bin/sh

if [ -x "$(command -v ifort)" ] 
then

    echo "Will try compilation with ifort..."
    cp Makefile.int Makefile

elif [ -x "$(command -v gfortran)" ] 
then

    echo "Will try compilation with gfortran..."
    cp Makefile.gnu Makefile

else

    echo "No Fortran compiler found on the system; exiting..."
    exit

fi

make clean
make all

cd demo

sh cmd.sh

cd ../

