!DIR$ FIXEDFORMLINESIZE:132
      pure subroutine make_sig(iord, mu, sig)
      use dblocks
      implicit none
      integer*4 , intent(in)  :: iord
      complex*16, intent(in)  :: mu(0:nord)
      complex*16, intent(out) :: sig

      complex*16 cfrac
      integer*4 i

      if(iord .lt. 0) then
         sig = cz
         return
      end if

      cfrac = chi*mu(iord)
      if(iord .eq. 0) then
         sig = cfrac
         return
      end if

      do 1, i=iord-1,0,-1
      cfrac = chi*mu(i)/(ru - cfrac)
 1    continue

      sig = cfrac

      return
      end
